import os
from setuptools import find_packages, setup

# Allow setup.py to be run from any path
os.chdir(os.path.normpath(os.path.join(os.path.abspath(__file__), os.pardir)))

setup_kwargs = dict(
    name='sequential-uuids',
    version='1.0.1',
    packages=find_packages(),
    python_requires='>=3',
    author='Moeen Zamani',
    author_email='moeen.zamani@gmail.com',
    license='MIT',
    description='Sequential UUID generator.',
    url='https://github.com/moeenz/sequential-uuids',
    classifiers=[
        'Environment :: Console',
        'Operating System :: Microsoft :: Windows',
        'Operating System :: Unix',
        'Programming Language :: Python :: 3',
        'Topic :: Security :: Cryptography'
    ],
)

try:
    # Support building in tox testing
    from mypyc.build import mypycify
    setup_kwargs['ext_modules'] = mypycify([
        'sequential_uuids/__init__.py',
        'sequential_uuids/generators.py',
    ])
except (ImportError, ModuleNotFoundError):
    print('Skip mypyc compilation - mypy not installed.')
    pass

setup(**setup_kwargs)
